<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<!-- IGAC proyecto SNC 

@author: javier.aponte 									
@description Pantalla de la actividad corespondiente a registrar datos de productos solicitados 
@version 1.0
@cu CU-TV-PR-002
@author javier.aponte

-->

<h:form xmlns="http://www.w3.org/1999/xhtml"
        xmlns:h="http://java.sun.com/jsf/html"
        xmlns:f="http://java.sun.com/jsf/core"
        xmlns:fn="http://java.sun.com/jsp/jstl/functions"
        xmlns:ui="http://java.sun.com/jsf/facelets"
        xmlns:p="http://primefaces.org/ui"
        xmlns:misc="http://java.sun.com/jsf/composite/misc"
        id="detalleProductosSolicitadosForm">


    <p:fieldset toggleable="true" toggleSpeed="500"
                id="productosAsociadosASolicitudFS">
        <legend>
            <h:outputText value="Productos asociados a la solicitud"
                          styleClass="legendTitle" />
        </legend>

        <h:panelGrid columns="1" width="100%">

            <p:dataTable id="tblDatosProductosAsociados" var="productoCatastralAsociado"
                         rowKey="#{productoCatastralAsociado.id}"
                         emptyMessage="No se han adicionado productos a la solicitud"
                         paginator="true" rows="10"
                         paginatorTemplate="{RowsPerPageDropdown} {FirstPageLink} {PreviousPageLink} {CurrentPageReport} {NextPageLink} {LastPageLink}"
                         paginatorPosition="bottom" rowsPerPageTemplate="5,10,15"
                         value="#{revisionProductosGenerados.productosCatastralesAsociados}">


                <f:facet name="header">
                    Productos asociados a la solicitud
                </f:facet>

                <p:column headerText="Código">
                    <h:outputText value="#{productoCatastralAsociado.producto.codigo}" />
                </p:column>

                <p:column headerText="Descripción">
                    <h:outputText value="#{productoCatastralAsociado.producto.nombre}" />
                </p:column>

                <p:column headerText="Cantidad">
                    <h:outputText value="#{productoCatastralAsociado.cantidad}" />
                </p:column>

            </p:dataTable>
        </h:panelGrid>	
    </p:fieldset>


</h:form>